
:target {
  /* target: ist ein CSS-Pseudoklassen-Selektor, der automatisch das aktuell angesprungene Element erkennt – egal welche ID es hat.
    #booking, #company, #testimonial, #walk, #bike, #winter, #culture */
  scroll-margin-top: 0px; /* Höhe deines fixierten Menüs */
}
html {
  scroll-behavior: smooth;
  scroll-padding-top: 0px; /* Höhe des Menüs */
  background: rgba(205, 204, 204, 0.90);
  height: 100vh; /* Nimmt die gesamte Höhe des Viewports ein */
}
body {
  background: rgba(205, 204, 204, 0.90);
  margin-top: -50px;
  min-height: 100vh;
}

/* Top of page */
.pfeil-top {
  color: white;
  padding: 0 0 0 0;
  position: fixed;
  bottom: 0.5vh;
  right: 0.5vh;
  z-index: 99999;
  border-radius: 883px;
}

.go-back {
  color: #FFFFFF;
  background-color: white;
  position: fixed;
  font-size: 1.3rem; 
  border-radius: 50%;
  padding: 15px;
  top: 1vw;
  right: 1vw;
  z-index: 99999;
}
.go-back:hover {
  background-color: var(--green);
  top: 1vw;
  right: 1vw;
}
.gallery-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 10px;
}
.gallery-item {
  position: relative;
  width: 100%;
  padding-top: 100%; /* 1:1 Seitenverhältnis, um das Quadrat zu erzeugen */
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
}
.gallery-item img {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  object-fit: cover; /* Beschneidet das Bild so, dass es den Container füllt */
  transform: translate(-50%, -50%); /* Zentrales Ausrichten des Bildes */
  transition: transform 0.3s ease; /* Weicher Übergang */
}
.gallery-item:hover img {
  transform: translate(-50%, -50%) scale(1.05); /* Vergrößern bei Hover */
}
/* Bei Smartphone */
@media (max-width: 576px) {
  .gallery-grid {
    grid-template-columns: auto auto;
  }
}
/* */
.gallery-layout {
    width: min(1000px, 100%);
    margin: 0 auto;
    columns: 3 200px;
    column-gap: 1em,
}
.gallery-layout img {
    display: block;
    margin-bottom: 1em;
    width: 100%;
}

@media (max-width: 768px) {
.gallery-layout {
    width: min(500px, 100%);
    columns: 2 100px;
}
}
@media (max-width: 450px) {
.gallery-layout {
    width: min(450px, 100%);
    columns: 1 100px;
}
}
/* Parallax */
.parallax {
  background-image: url('images/background-image.png');
  height: 100vh;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
/* Responsives Parallax-Bild */
.parallax-bg {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url('images/background-image.png');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  z-index: -1; /* Hintergrund bleibt hinter dem Inhalt */
}
/* Hauptinhalt */
.content {
  position: relative;
  z-index: 1;
  padding: 50px;
  text-align: center;
  font-size: 24px;
  font-weight: bold;
  min-height: 100vh;
  color: black;
}
/* Parallax Hintergrund */
.parallax-bg-normal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url('images/background-image.png');
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  z-index: -1; /* Hintergrund hinter dem Inhalt */
}
/* Bei Smartphone */
@media (max-width: 576px) {
  .parallax-bg {
    background-image: url('images/background-image-mobile.png');
  }
}